<div class="newsletter-form-short">

  <p class="newsletter-form-short-preamble">
    Sign up for GitLab’s twice-monthly newsletter:
  </p>

  <script src="//page.gitlab.com/js/forms2/js/forms2.min.js"></script>
  <form id="mktoForm_1077"></form>
  <script>


    MktoForms2.setOptions(
    {
      formXDPath : "/rs/194-VVC-221/images/marketo-xdframe-relative.html"
    });
    MktoForms2.loadForm("//page.gitlab.com", "194-VVC-221", 1077, function(form) {
      form.onSuccess(function(values, followUpUrl) {

        let formHasFormBeenFocused = false;
        form.onValidate(function(){
          if(formHasFormBeenFocused == false){
            dataLayer.push({
              'event' : 'mktoLead', 
              'mktoFormId' : form.getId(),
              'eventCallback' : function(){},
              'eventTimeout' : 3000
            });
            formHasFormBeenFocused = true;
            return false;
          };
        });

        dataLayer.push({
          'event' : 'mktoLead', 
          'mktoFormId' : form.getId(),
          'eventCallback' : function()
          {
            form.getFormElem().hide();
            document.getElementById('confirmform').style.display = 'block';
          }, 'eventTimeout' : 3000
        });
        return false;
      });
      function getgacid() {
        try {
          var tracker = ga.getAll()[0];
          return tracker.get('clientId');
        } catch (e) {
          return 'n/a';
        }
      }
      form.vals({
        'gacid': getgacid()
      });
    });
  </script>
   <div id="confirmform" class="confirm-message" style="display:none;"><p>Thanks for subscribing!</p></div>
</div>